import { IHotelColorScheme } from '@roomstay/core';
import { FC } from 'react';
import type { Company } from '../../models/Client/Hotel/Company';
import type { Hotel } from '../../models/Client/Hotel/Hotel';
import StepValidator from './StepValidator';
export default abstract class Step {
    protected name: string;
    protected showOnNavigation: boolean;
    protected constructor(name: string);
    getName(): string;
    getStepUrl(): string;
    getStepTranslation(): string | null;
    shouldShowOnNavigation(): boolean;
    /**
     * Method gets called when Step is activated. Return a @type ColorProfile
     * to automatically set theme when step is loaded
     */
    getColorProfile(company: Company, hotel?: Hotel): IHotelColorScheme | undefined;
    abstract getComponent(): FC;
    abstract getValidator(): StepValidator;
    protected getUrlFragment(): string;
}
